For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
          • Channels
          • Company
          • Invoice Management
              • GETGet Invoice Detail
              • PUTUpdate Invoice
              • DELDelete Invoice
              • GETList Invoices
              • POSTCreate Invoice
              • POSTCreate Invoice from Order
              • GETDownload Invoice PDF
              • GETGet Invoice Extra Field Configs
          • Orders
          • Payment
          • Quotes
          • Sales Staff
          • Shopping List
          • Super Admin
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementInvoice ManagementInvoice

Delete Invoice

DELETE
https://api-b2b.bigcommerce.com/api/v3/io/ip/invoices/:invoiceId
DELETE
/api/v3/io/ip/invoices/:invoiceId
$curl -X DELETE https://api-b2b.bigcommerce.com/api/v3/io/ip/invoices/invoiceId \
> -H "X-Auth-Token: <apiKey>"
1{
2 "code": 200,
3 "data": {
4 "id": 12
5 },
6 "meta": {
7 "message": "Success"
8 }
9}
delete an invoice
Was this page helpful?
Previous

Update Invoice

Next

List Invoices

Built with

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Path parameters

invoiceIdstringRequired
invoice id

Response

OK
codedouble
dataobject
metaobject

Errors

404
Not Found Error